#ifndef K3DUI_AUTO_DIALOG_H
#define K3DUI_AUTO_DIALOG_H

namespace k3d
{

// Forward declarations
class iobject;
class iproperty;

void create_auto_object_dialog(iobject& Object);
void create_auto_tool_dialog(iobject& Object, iproperty& Output, iproperty& ToolInput, iproperty& ToolOutput, iproperty& Input);

} // namespace k3d

#endif // !K3DUI_AUTO_DIALOG_H
